Subject: Offline Message from Muna Khris: I have been trying to buy a ponycycle medium
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 11:29:40 -0000

From: Muna Khris <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/checkout/web/
Department: 

I have been trying to buy a ponycycle medium size from your website and it is not letting me place order. I out address and visa card many time but did not work.
Would you please check if any order have been placed under my name and email?

----
Zopim
https://www.zopim.com